Bug 132299 - Hang when accepting a meeting invite
Hang when accepting a meeting invite
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: evolution (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 14:20 EDT by Devin Carraway
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 12:19:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devin Carraway 2004-09-10 14:20:42 EDT
evolution-1.4.5-1, RHEL3r3

When accepting a meeting invitation with the RSVP box checked, Evo has
been regularly hanging as soon as the "OK" button is checked in the
"Update complete" dialog.  There's no apparent problem if the RSVP
isn't enabled.  I've done this many times before, but in the last few
days it's started hanging (possibly at the time of an up2date upgrade
to RHEL3r3, I'm not certain).  Any invite seems to trigger it.

The invite in question is in a local mbox file and is being saved to
Evo's local ICS calendar.  All my samples were sent by Outlook users
and passed through an Exchange server (the mail was pulled to a local
mbox w/ fetchmail).  A strack trace on evolution-wombat suggests that
it's trying to do an LDAP query, but de-configuring my LDAP servers
(one's OpenLDAP, the other is AD) doesn't change the behavior.

Afterward, evolution will hang again on startup until evolution-wombat
is killed.


Stack traces of both processes follow; these were taken immediately
after clicking OK in the "Update complete" dialog.


gdb /usr/bin/evolution-1.4
GNU gdb Red Hat Linux (6.1post-1.20040607.17rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging
symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".
 
(gdb) run
Starting program: /usr/bin/evolution-1.4
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...[Thread
debugging using libthread_db enabled]
[New Thread -1239567712 (LWP 24454)]
[New Thread -1249289296 (LWP 24459)]
[New Thread -1261438032 (LWP 24460)]
[New Thread -1272018000 (LWP 24461)]
 
(evolution-1.4:24454): camel-WARNING **: Invalid root:
'//home/devincar/evolution/local/Outbox/mbox.ibex.index'
 
(evolution-1.4:24454): camel-WARNING **: version: TEXT.000 (TEXT.000)
 
(evolution-1.4:24454): camel-WARNING **: block size: 1024 (1024) OK
 
(evolution-1.4:24454): camel-WARNING **: free: 0 (0 add size < 1024) OK
 
(evolution-1.4:24454): camel-WARNING **: last: 6144 (6144 and size:
1024) BAD
 
(evolution-1.4:24454): camel-WARNING **: flags: unSYNC
[New Thread -1282733136 (LWP 24462)]
Detaching after fork from child process 24463.
Detaching after fork from child process 24464.
 
Program received signal SIGINT, Interrupt.
[Switching to Thread -1239567712 (LWP 24454)]
0xb668d16d in poll () from /lib/tls/libc.so.6
(gdb) thread apply all bt
 
Thread 5 (Thread -1282733136 (LWP 24462)):
#0  0xb680321d in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#1  0xb756912c in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
#2  0xb75699fa in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
#3  0xb6800dec in start_thread () from /lib/tls/libpthread.so.0
#4  0xb669619a in clone () from /lib/tls/libc.so.6
 
Thread 4 (Thread -1272018000 (LWP 24461)):
#0  0xb680321d in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#1  0xb756912c in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
#2  0xb75699fa in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
#3  0xb6800dec in start_thread () from /lib/tls/libpthread.so.0
#4  0xb669619a in clone () from /lib/tls/libc.so.6
 
Thread 3 (Thread -1261438032 (LWP 24460)):
#0  0xb680321d in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#1  0xb756912c in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
#2  0xb75699fa in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
#3  0xb6800dec in start_thread () from /lib/tls/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#4  0xb669619a in clone () from /lib/tls/libc.so.6
 
Thread 2 (Thread -1249289296 (LWP 24459)):
#0  0xb680321d in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#1  0xb756912c in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
#2  0xb75699fa in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
#3  0xb6800dec in start_thread () from /lib/tls/libpthread.so.0
#4  0xb669619a in clone () from /lib/tls/libc.so.6
 
Thread 1 (Thread -1239567712 (LWP 24454)):
#0  0xb668d16d in poll () from /lib/tls/libc.so.6
#1  0xb6716b96 in g_main_loop_get_context () from
/usr/lib/libglib-2.0.so.0
#2  0xb6715f34 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#3  0xb67161ec in g_main_context_iteration () from
/usr/lib/libglib-2.0.so.0
#4  0xb70e35db in linc_main_iteration () from /usr/lib/liblinc.so.1
#5  0xb70fe0bf in giop_recv_buffer_get () from /usr/lib/libORBit-2.so.0
#6  0xb71015b0 in ORBit_small_freekids () from /usr/lib/libORBit-2.so.0
#7  0xb7101af2 in ORBit_small_invoke_stub () from /usr/lib/libORBit-2.so.0
#8  0xb71019ad in ORBit_small_invoke_stub_n () from
/usr/lib/libORBit-2.so.0
#9  0xb5aca784 in GNOME_Evolution_Addressbook_BookFactory_openBook ()
   from /usr/lib/evolution/1.4/libebook.so.0
#10 0xb5ad070f in e_book_view_get_type ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/evolution/1.4/libebook.so.0
#11 0xb5ad0b37 in e_book_load_uri () from
/usr/lib/evolution/1.4/libebook.so.0
#12 0xb5a3e55b in addressbook_load_uri ()
   from /usr/lib/evolution/1.4/components/libevolution-addressbook.so
#13 0xb5a4a85d in e_select_names_completion_set_match_contact_lists ()
   from /usr/lib/evolution/1.4/components/libevolution-addressbook.so
#14 0xb5a4a8de in e_select_names_completion_set_match_contact_lists ()
   from /usr/lib/evolution/1.4/components/libevolution-addressbook.so
#15 0xb5a4ab07 in e_select_names_manager_new ()
   from /usr/lib/evolution/1.4/components/libevolution-addressbook.so
#16 0xb5a46fc0 in
GNOME_Evolution_Addressbook_SelectNames_activateDialog ()
   from /usr/lib/evolution/1.4/components/libevolution-addressbook.so
#17 0xb6784257 in g_type_create_instance () from
/usr/lib/libgobject-2.0.so.0
#18 0xb67700cf in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#19 0xb676f8fd in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#20 0xb6770051 in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#21 0xb676f6bd in g_object_new () from /usr/lib/libgobject-2.0.so.0
#22 0xb5a471dc in e_select_names_bonobo_new ()
   from /usr/lib/evolution/1.4/components/libevolution-addressbook.so
#23 0xb5a3f489 in addressbook_new_control ()
   from /usr/lib/evolution/1.4/components/libevolution-addressbook.so
#24 0xb71d721f in bonobo_marshal_OBJECT__STRING ()
   from /usr/lib/libbonobo-2.so.0
---Type <return> to continue, or q <return> to quit---
#25 0xb676cef7 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#26 0xb71d8258 in bonobo_closure_invoke_va_list ()
   from /usr/lib/libbonobo-2.so.0
#27 0xb71d84f7 in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
#28 0xb71c521f in bonobo_generic_factory_new () from
/usr/lib/libbonobo-2.so.0
#29 0xb71d2fd4 in bonobo_shlib_factory_new () from
/usr/lib/libbonobo-2.so.0
#30 0xb71c4d68 in bonobo_exception_general_error_get ()
   from /usr/lib/libbonobo-2.so.0
#31 0xb7130d22 in Bonobo_GenericFactory_createObject ()
   from /usr/lib/libbonobo-activation.so.4
#32 0xb7132c69 in bonobo_activation_activate_shlib_server ()
   from /usr/lib/libbonobo-activation.so.4
#33 0xb713361f in bonobo_activation_query ()
   from /usr/lib/libbonobo-activation.so.4
#34 0xb71336f7 in bonobo_activation_activate ()
   from /usr/lib/libbonobo-activation.so.4
#35 0xb71338c5 in bonobo_activation_activate_from_id ()
   from /usr/lib/libbonobo-activation.so.4
#36 0xb5bf0143 in e_msg_composer_attachment_edit ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#37 0xb5bf1b90 in e_msg_composer_hdrs_new ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#38 0xb5bf9dda in e_msg_composer_get_type ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#39 0xb5bfa4e1 in e_msg_composer_new ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#40 0xb5bff874 in evolution_composer_get_epv ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#41 0xb6784257 in g_type_create_instance () from
/usr/lib/libgobject-2.0.so.0
#42 0xb67700cf in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#43 0xb676f8fd in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#44 0xb6770051 in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#45 0xb676f6bd in g_object_new () from /usr/lib/libgobject-2.0.so.0
#46 0xb5bffb09 in evolution_composer_new ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#47 0xb5b9d2bb in mail_storages_foreach ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#48 0xb71d721f in bonobo_marshal_OBJECT__STRING ()
   from /usr/lib/libbonobo-2.so.0
#49 0xb676cef7 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#50 0xb71d8258 in bonobo_closure_invoke_va_list ()
   from /usr/lib/libbonobo-2.so.0
#51 0xb71d84f7 in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
#52 0xb71c521f in bonobo_generic_factory_new () from
/usr/lib/libbonobo-2.so.0
#53 0xb71d2fd4 in bonobo_shlib_factory_new () from
/usr/lib/libbonobo-2.so.0
#54 0xb71c4d68 in bonobo_exception_general_error_get ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libbonobo-2.so.0
#55 0xb7130d22 in Bonobo_GenericFactory_createObject ()
   from /usr/lib/libbonobo-activation.so.4
#56 0xb7132c69 in bonobo_activation_activate_shlib_server ()
   from /usr/lib/libbonobo-activation.so.4
#57 0xb713361f in bonobo_activation_query ()
   from /usr/lib/libbonobo-activation.so.4
#58 0xb71336f7 in bonobo_activation_activate ()
   from /usr/lib/libbonobo-activation.so.4
#59 0xb71338c5 in bonobo_activation_activate_from_id ()
   from /usr/lib/libbonobo-activation.so.4
#60 0xb59710b7 in itip_send_comp ()
   from /usr/lib/evolution/1.4/components/libevolution-calendar.so
#61 0xb59486e5 in e_itip_control_get_calendar_uri ()
   from /usr/lib/evolution/1.4/components/libevolution-calendar.so
#62 0xb74954b2 in html_g_cclosure_marshal_VOID__STRING_STRING_STRING ()
   from /usr/lib/libgtkhtml-3.0.so.2
#63 0xb676cef7 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#64 0xb677f89e in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#65 0xb677e8e8 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#66 0xb677eb24 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#67 0xb744f4b7 in gtk_html_update_styles () from
/usr/lib/libgtkhtml-3.0.so.2
#68 0xb74954b2 in html_g_cclosure_marshal_VOID__STRING_STRING_STRING ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libgtkhtml-3.0.so.2
#69 0xb676cef7 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#70 0xb677f89e in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#71 0xb677e8e8 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#72 0xb677eb24 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#73 0xb7488506 in html_engine_form_submitted ()
   from /usr/lib/libgtkhtml-3.0.so.2
#74 0xb748c684 in html_form_submit () from /usr/lib/libgtkhtml-3.0.so.2
#75 0xb745d7b2 in html_anchor_get_name () from
/usr/lib/libgtkhtml-3.0.so.2
#76 0xb677fc87 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#77 0xb676cef7 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#78 0xb677f89e in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#79 0xb677e8e8 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#80 0xb677eb24 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#81 0xb6a2ac4b in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
#82 0xb6a2bc3b in _gtk_button_paint () from /usr/lib/libgtk-x11-2.0.so.0
#83 0xb677fc87 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#84 0xb676d267 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#85 0xb676cef7 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#86 0xb677f13f in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#87 0xb677e8e8 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#88 0xb677eb24 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#89 0xb6a2ab8b in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
#90 0xb6a2babb in _gtk_button_paint () from /usr/lib/libgtk-x11-2.0.so.0
#91 0xb6ab612f in _gtk_marshal_BOOLEAN__BOXED ()
   from /usr/lib/libgtk-x11-2.0.so.0
#92 0xb676d267 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#93 0xb676cef7 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#94 0xb677f369 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#95 0xb677e6e5 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#96 0xb677eb24 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#97 0xb6b9cb9b in gtk_widget_send_expose () from
/usr/lib/libgtk-x11-2.0.so.0
#98 0xb6ab5f27 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#99 0xb6ab4c25 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#100 0xb69b0335 in _gdk_events_queue () from /usr/lib/libgdk-x11-2.0.so.0
#101 0xb6714c30 in unblock_source () from /usr/lib/libglib-2.0.so.0
#102 0xb6715c98 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#103 0xb6715fad in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#104 0xb67166cf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#105 0xb71c7348 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#106 0x0809e14b in main ()


Over in evolution-wombat:

(gdb) thread apply all bt
 
Thread 1 (Thread -1240000448 (LWP 24538)):
#0  0xb67e19ee in __read_nocancel () from /lib/tls/libpthread.so.0
#1  0xb65656dd in ber_int_sb_write () from /usr/lib/liblber.so.2
#2  0xb6565aaa in ber_int_sb_write () from /usr/lib/liblber.so.2
#3  0xb65660f1 in ber_int_sb_write () from /usr/lib/liblber.so.2
#4  0xb658bd62 in ldap_pvt_tls_init_def_ctx () from /usr/lib/libldap.so.2
#5  0xb73df3e2 in BIO_read () from /lib/libcrypto.so.4
#6  0xb7480e23 in ssl23_read_bytes () from /lib/libssl.so.4
#7  0xb748062d in ssl23_connect () from /lib/libssl.so.4
#8  0xb7480347 in ssl23_connect () from /lib/libssl.so.4
#9  0xb7483cea in SSL_connect () from /lib/libssl.so.4
#10 0xb658bf5e in ldap_pvt_tls_init_def_ctx () from /usr/lib/libldap.so.2
#11 0xb658cc86 in ldap_int_tls_start () from /usr/lib/libldap.so.2
#12 0xb658d163 in ldap_start_tls_s () from /usr/lib/libldap.so.2
#13 0x080bc555 in __bam_ca_undosplit ()
#14 0x080c1734 in category_ber ()
#15 0x080c6188 in pas_backend_load_uri ()
#16 0x080c2774 in pas_book_factory_dump_active_backends ()
#17 0x080c286e in pas_book_factory_dump_active_backends ()
#18 0xb65b8873 in g_timeout_add () from /usr/lib/libglib-2.0.so.0
#19 0xb65b5c30 in unblock_source () from /usr/lib/libglib-2.0.so.0
#20 0xb65b6c98 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#21 0xb65b6fad in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#22 0xb65b76cf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#23 0xb6747348 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#24 0x0805e1be in main ()



Version-Release number of selected component (if applicable):
evolution-1.4.5-1
Comment 1 Dave Malcolm 2004-09-27 17:44:50 EDT
I've been trying to reproduce this bug; I have _once_ managed to get
Evolution to hang doing this, though with a very different looking
backtrace - if you can reliably reproduce this bug, please can you
also attach a backtrace of the evolution-exchange-storage process.  It
may also help if you set the environment variable E2K_DEBUG=m when
running evolution.

When you say "deconfiguring your LDAP servers" do you mean that you've
removed them from the "Directory Servers" page of Evolution's settings
dialog?  (If I'm reading the backtraces right, it appears that the
main evolution process has processed the click on "Ok", is trying to
open an email composer window for the RSVP, and is trying to do
autocompletion against the contact name in the email message; this
involves querying the wombat for information on the contact details,
and the wombat does appear to be blocking on communication with an
LDAP server.)

What does "rpm -q openldap-clients" report?

Is it possible for you to attach the email as an mbox file to this bug
report, or would there be security/privacy issues for that?
Comment 4 Matthew Barnes 2007-08-31 12:19:35 EDT
Reporter did not respond to request for more information.  Closing this as
INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.